﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace AsyncWebPart.SampleTwo {

    [ToolboxItemAttribute(false)]
    public class SampleTwo : AsyncWebPartBase {

        Label _lblTwo;

        protected override void CreateChildControls() {
            this.CssClass = "SampleTwoWebPart";
            this.WaitImageUrl = "/_layouts/IMAGES/gears_an.gif";
            _lblTwo = new Label();
            _lblTwo.Text = "Some more Async Content Goes Here...";
            this.Controls.Add(_lblTwo);
        }

        protected override void RunProcesses() {
            System.Threading.Thread.Sleep(8000);
        }
        public void Render(HtmlTextWriter writer) {
            
        }
        protected override void RenderAsync(HtmlTextWriter writer) {
            writer.AddAttribute(HtmlTextWriterAttribute.Class, "SampleTwo");
            writer.RenderBeginTag(HtmlTextWriterTag.Span);
            _lblTwo.RenderControl(writer);
            writer.RenderEndTag();
        }

    }

}
