﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using AsyncWebPart;

namespace AsyncWebPart.SampleOne {

    [ToolboxItemAttribute(false)]
    public class SampleOne : AsyncWebPartBase {

        Label _lblOne;

        protected override void CreateChildControls() {
            this.CssClass = "SampleOneWebPart";
            _lblOne = new Label();
            _lblOne.Text = "Async Content Goes Here...";
            this.Controls.Add(_lblOne);
        }

        protected override void RunProcesses() {
            System.Threading.Thread.Sleep(4000);
        }

        protected override void RenderAsync(HtmlTextWriter writer) {
            writer.AddAttribute(HtmlTextWriterAttribute.Class, "SampleOne");
            writer.RenderBeginTag(HtmlTextWriterTag.Span);
            _lblOne.RenderControl(writer);
            writer.RenderEndTag();
        }
    }

}
